Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.code
Class SymbolEditorComponent

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  edu.stanford.smi.protegex.owl.ui.code.SymbolEditorComponent

All Implemented Interfaces:
  SymbolEditor, ImageObserver, MenuContainer, Serializable

Direct Known Subclasses:
  ClassDescriptionEditorComponent, SWRLSymbolEditor

    public abstract class SymbolEditorComponent

extends JComponent
implements SymbolEditor

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Sep 6, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SymbolEditorComponent(OWLModel model, SymbolErrorDisplay errorDisplay, boolean multiline)`

Method Summary
`void` | `assignExpression()` Ends the editing process and assigns the expression.
`void` | `backspace()` Performs a backspace operation.
`void` | `cancelEditing()` Cancels the editing process without assigning a value.
`void` | `displayError()` Checks the syntax of the current input and displays the error.
`SymbolErrorDisplay` | `getErrorDisplay()`
`OWLModel` | `getModel()`
`SymbolEditorHandler` | `getSymbolEditorHandler()`
`String` | `getText()` Gets the currently entered text.
`abstract JTextComponent` | `getTextComponent()` Gets the JTextComponent that does the editing.
`void` | `insertText(String text)` Inserts some text at the caret position.
`void` | `insertText(String text, int caretOffset)` Inserts some text at the caret position and specifies the new caret position within the inserted text.
`boolean` | `isMultiline()`
`protected abstract void` | `parseExpression()`
`void` | `setSymbolEditorHandler(SymbolEditorHandler symbolEditorHandler)`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SymbolEditorComponent

    public SymbolEditorComponent(OWLModel model,
                                 SymbolErrorDisplay errorDisplay,
                                 boolean multiline)

Method Detail

### getTextComponent

    public abstract JTextComponent getTextComponent()

  Gets the JTextComponent that does the editing. This will be a child component of this component.

### parseExpression

    protected abstract void parseExpression()
                                     throws Exception

  Throws:
    `Exception`

### assignExpression

    public void assignExpression()

  Description copied from interface: `SymbolEditor`
  Ends the editing process and assigns the expression. If the expression is invalid, then it calls `displayError`.

  Specified by:
    `assignExpression` in interface `SymbolEditor`

### displayError

    public void displayError()

  Description copied from interface: `SymbolEditor`
  Checks the syntax of the current input and displays the error.

  Specified by:
    `displayError` in interface `SymbolEditor`

### setSymbolEditorHandler

    public void setSymbolEditorHandler(SymbolEditorHandler symbolEditorHandler)

### isMultiline

    public boolean isMultiline()

### getSymbolEditorHandler

    public SymbolEditorHandler getSymbolEditorHandler()

### getErrorDisplay

    public SymbolErrorDisplay getErrorDisplay()

### getModel

    public OWLModel getModel()

### cancelEditing

    public void cancelEditing()

  Description copied from interface: `SymbolEditor`
  Cancels the editing process without assigning a value.

  Specified by:
    `cancelEditing` in interface `SymbolEditor`

### backspace

    public void backspace()

  Description copied from interface: `SymbolEditor`
  Performs a backspace operation.

  Specified by:
    `backspace` in interface `SymbolEditor`

### getText

    public String getText()

  Description copied from interface: `SymbolEditor`
  Gets the currently entered text.

  Specified by:
    `getText` in interface `SymbolEditor`
  Returns:
    the text (raw)

### insertText

    public void insertText(String text)

  Description copied from interface: `SymbolEditor`
  Inserts some text at the caret position.

  Specified by:
    `insertText` in interface `SymbolEditor`
  Parameters:
    `text` - the text to insert

### insertText

    public void insertText(String text,
                           int caretOffset)

  Description copied from interface: `SymbolEditor`
  Inserts some text at the caret position and specifies the new caret position within the inserted text.

  Specified by:
    `insertText` in interface `SymbolEditor`
  Parameters:
    `text` - the text to insert
    `caretOffset` - the caret offset within the text

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.